<template>
  <div>
    <div
      class="row q-pt-sm font14"
      style="width: 100%"
      :class="[indexNumber % 2 == 1 ? 'stripRow' : '']"
    >
      <div style="width: 130px" class="q-px-sm" align="center">
        <div v-html="twoLineDateTime(data.dateBook)"></div>
        <div class="completeDiv q-mb-sm" v-if="data.complete">จบแล้ว</div>
      </div>
      <div style="width: 50px">
        <img height="50px" :src="data.coverpic" alt="" />
      </div>
      <div class="col row">
        <div>
          <span @click="bookUrl(data.bookId)" class="cursor-pointer"
            ><u>{{ data.bookName }}</u></span
          >
        </div>
      </div>
      <div
        style="width: 80px"
        align="center"
        @click="setHot(data.bookId, data.hotItem)"
      >
        <div v-if="data.hotItem" class="q-pt-xs">
          <img
            src="../../public/image/hot.svg"
            height="40px"
            alt=""
            class="cursor-pointer"
          />
        </div>
        <div v-else class="q-pt-xs">
          <img
            src="../../public/image/hotgrey.svg"
            height="40px"
            alt=""
            class="cursor-pointer"
          />
        </div>
      </div>
      <div style="width: 130px" class="centerLine" align="center">
        {{ data.episode }} / {{ data.totalchapter }}
      </div>
      <div style="width: 80px" class="centerLine" align="center">
        {{ data.click }}
      </div>
      <div style="width: 80px" align="center" class="paddingCenter">
        <div
          class="onlinebtn"
          v-if="data.status == 1"
          @click="upStatus(0, data.bookId)"
        >
          Online
        </div>

        <div class="offlinebtn" v-else @click="upStatus(1, data.bookId)">
          offline
        </div>
      </div>
      <div
        style="width: 80px"
        align="center"
        class="cursor-pointer paddingCenter2"
        @click="deleteBtn(data.bookId, data.bookName)"
      >
        <img src="../../public/image/trash_symbol.svg" alt="" />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: ["data", "indexNumber"],
  methods: {
    setHot(id, hot) {
      let dataSend = {
        id: id,
        hot: hot,
      };
      this.$emit("clickHot", dataSend);
    },
    deleteBtn(id, bookName) {
      let dataSend = {
        id: id,
        bookName: bookName,
      };
      this.$emit("clickDel", dataSend);
    },
    upStatus(status, id) {
      let dataSend = {
        status: status,
        id: id,
      };
      this.$emit("clickOnline", dataSend);
    },
    bookUrl(id) {
      this.$router.push("bookpage/" + id);
    },
    twoLineDateTime(dateTime) {
      let dataSplit = dateTime.split(" ");
      let textFinal =
        dataSplit[0] + "<br><span class='font14'>" + dataSplit[1] + "</span>";
      return textFinal;
    },
  },
};
</script>

<style lang="scss" scoped>
.stripRow {
  background-color: rgba($color: #7291ff, $alpha: 0.15);
}
.centerLine {
  line-height: 50px;
}
.paddingCenter {
  padding-top: 13px;
}
.paddingCenter2 {
  padding-top: 15px;
}
.onlinebtn {
  font-size: 12px;
  color: #1f8616;
  border: 1px solid #1f8616;
  width: 60px;
  height: 25px;
  line-height: 25px;
  border-radius: 5px;
  cursor: pointer;
  margin: auto;
}
.offlinebtn {
  font-size: 12px;
  color: #ec5454;
  border: 1px solid #ec5454;
  width: 60px;
  height: 25px;
  line-height: 25px;
  border-radius: 5px;
  cursor: pointer;
  margin: auto;
}
.hotItemBtn {
  font-size: 12px;
  background-color: #ec5454;
  color: white;
  line-height: 25px;
  padding-left: 5px;
  padding-right: 5px;
  border-radius: 5px;
}
.completeDiv {
  font-size: 12px;
  background-color: #7291ff;
  color: white;
  width: 55px;
}
</style>
